- hide_labels ||= false
- inline ||= false

= form_for(resource, as: resource_name, url: session_path(resource_name)) do |f|
  %div{ class: inline ? '-flex -gap' : '' }
    .rui-field
      - unless hide_labels
        = f.label :email
      = f.email_field :email,
                      autofocus: true,
                      autocomplete: 'email',
                      placeholder: t('activerecord.attributes.user.email'),
                      required: true

    .rui-field{ class: inline ? '-mt0' : '' }
      - unless hide_labels
        = f.label :password
      = f.password_field :password,
                          autocomplete: 'current-password',
                          placeholder: t('activerecord.attributes.user.password'),
                          required: true

  .rui-actions.rui-actions--bottom
    .-flex--grow
      - if User.devise_modules.include? :rememberable
        = f.label :remember_me do
          = f.check_box :remember_me
          = t('.remember_me')
    = f.submit t('devise.sessions.new.sign_in'), class: 'rui-button rui-button--creative'

%div
  = render 'devise/shared/links', resource_name: resource_name
